.content {
    /* background-color: #ffffff; */
    /* padding: 20px 30px; */
    flex: 1;
    min-width: 0;
}

.content-box  {
    background:#fff;
    border-radius:14px;
    padding:20px;
    /* margin:20px; */
    box-shadow:0 2px 8px rgba(0,0,0,0.08);
}

.content-thumbnail {
    margin: 30px auto;
    display: block;
    max-width: 100%;
    width: 80%;
}

.content-title {
    font-size: 1.5rem;
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 10px;
    overflow-wrap: anywhere;
    word-break: break-word;
}

.post-date {
    display: block;
    margin-top: 6px;
    margin-bottom: 30px;
    font-size: 0.85rem;
    color: #888;
}

.content-body {
    /* background-color: #e9e9e9; */
    margin-top: 20px;
    overflow-wrap: break-word;
    word-break: break-word;
}

.blog-content{
    padding-bottom: 30px;
}

/* #region 投票エリア */
.vote-container {
    padding: 20px 0 50px 0;
    margin: 20px 0 20px 0;
}

.vote-status {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* padding-bottom: 20px; */
    border-bottom: 1px solid #6e6e6e;
    margin-bottom: 20px;
}

.vote-status-text {
    font-size: 18px;
    font-weight: bold;
}

.vote-status-date {
    color: #666;
    font-size: 0.9em;
    white-space: nowrap;
}

.vote-count{
    display: flex; 
    justify-content: space-between; 
    font-size: 16px;
    padding: 0 10px 0 10px;
}

.is-inactive {
    opacity: 0;
}

.vote-count-good{
    color: #ff8080ff;
}

.vote-count-bad{
    color: #7881f7ff;
}

.vote-row-container{
    display: flex; 
    gap: 15px; 
    align-items: center;
    padding: 0 10px 0 10px;
}

.vote-button-good {
    padding: .4em .8em;
    cursor: pointer;
    border: none; 
    border-radius: 6px; 
    background: #f18880ff; 
    color: white;
}

.vote-dashicons {
    font-size: 24px;
    width: 24px;
    height: 24px;
}

.vote-button-bad {
    padding: .4em .8em;
    cursor: pointer;
    border: none;
    border-radius: 6px;
    background: #858df3ff;
    color: white;
}

.vote-button:disabled {
    background-color: #cccccc !important;
    opacity: 0.6;
    cursor: not-allowed !important;
    pointer-events: none;
    box-shadow: none !important;
    filter: grayscale(100%);
}

.vote-button:disabled .dashicons {
    color: #eeeeee !important;
}

.vote-bar-container {
    display: flex;
    flex-grow: 1;
    position: relative;
    width: 100%;
    height: 12px;
    background: #ddd;
    border-radius: 6px;
    overflow: hidden;
}

.vote-bar {
    position: absolute;
    height: 100%;
    top: 0;
}

.vote-bar-good {
    background: #f18880ff;
    left: 0;
    width: calc(100% * var(--ratio));
}

.vote-bar-bad {
    background: #858df3ff;
    right: 0;
    width: calc(100% * var(--ratio));
}

/*#endregion */

/* #region 発信者エリア */
.post-source{

    padding-bottom:20px;
}

.post-source__header {
    margin-top: 40px;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    font-size: 18px;
    font-weight: bold;
    border-bottom: 1px solid #6e6e6e;
}

.post-source__header-title {
    font-size: 1.25rem;
    font-weight: bold;
    color: #333;
}

.post-source__header-more {
    font-size: 0.85rem;
    color: #0073aa;
    font-weight: 500;
}

.post-source__card {
    display: flex;
    align-items: flex-start;
    gap: 20px;
    text-decoration: none;
    color: inherit;
    transition: 0.2s;
}

.post-source-container {
    display: block;
    margin:20px 0 0 0;
    padding:20px;
    background: #fff;
    border-radius: 14px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}

.post-source-container:hover {
    box-shadow: 0 4px 8px rgba(0,0,0,.15);
}

.post-source__image{
    flex-shrink: 0;
    width: 80px; 
    height: 80px; 
    object-fit: cover; 
    border-radius: 6px; 
    display: block;
    border: 1px solid rgba(0, 0, 0, 0.08);
}

.post-source__body{
    flex-grow: 1;
}

.post-source__name{
    margin: 0 0 8px 0; 
    font-size: 1.1em;
}

.post-source__description {
    margin: 0 0 15px 0;
    font-size: 0.95em;
    color: #666;
    line-height: 1.5;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    line-clamp: 3;
}
/* #endregion */

/* ホバーした時の処理 */
.sort-btn:hover {
    /* background-color: #f5f5f5; */
    /* border-color: #bbb; */
    /* transform: translateY(-1px); */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: #d4d4d4 !important;
    border-color: #7c7c7c !important;
    color: #000 !important;
}

/* 選択中のスタイル */
.sort-btn.is-active {
    background-color: #eee;
    border-color: #999;
    font-weight: bold;
    color: #000;
    pointer-events: none;
    /* 選択中はクリック反応をなくす */
}